You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@openwhisk.apache.org by ho...@apache.org on 2017/08/17 15:41:46 UTC

[incubator-openwhisk-deploy-kube] 01/02: run travis files from propert directory; add scancode again.

This is an automated email from the ASF dual-hosted git repository.

houshengbo pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-openwhisk-deploy-kube.git

commit 74ca0e8480d92e1947ce8c227b7722e91a746bae
Author: Matt Rutkowski <mr...@us.ibm.com>
AuthorDate: Thu Aug 17 09:31:52 2017 -0500

    run travis files from propert directory;add scancode again.
---
 .travis.yml                        |  6 ++++--
 {.travis => tools/travis}/build.sh |  0
 tools/travis/scancode.sh           | 11 +++++++++++
 {.travis => tools/travis}/setup.sh |  0
 tools/travis/setupscan.sh          |  8 ++++++++
 5 files changed, 23 insertions(+), 2 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index b9d1ccb..654780c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -13,7 +13,9 @@ services:
   - docker
 
 before_install:
-  - .travis/setup.sh
+  - ./tools/travis/setupscan.sh
+  - ./tools/travis/setup.sh
 
 script:
-  - .travis/build.sh
+  - ./tools/travis/scancode.sh
+  - ./tools/travis/build.sh
diff --git a/.travis/build.sh b/tools/travis/build.sh
similarity index 100%
rename from .travis/build.sh
rename to tools/travis/build.sh
diff --git a/tools/travis/scancode.sh b/tools/travis/scancode.sh
new file mode 100755
index 0000000..2202c45
--- /dev/null
+++ b/tools/travis/scancode.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+
+# Build script for Travis-CI.
+SCRIPTDIR=$(cd $(dirname "$0") && pwd)
+ROOTDIR="$SCRIPTDIR/../.."
+UTIL_DIR="$ROOTDIR/../incubator-openwhisk-utilities"
+
+# run scancode
+cd $UTIL_DIR
+scancode/scanCode.py $ROOTDIR
\ No newline at end of file
diff --git a/.travis/setup.sh b/tools/travis/setup.sh
similarity index 100%
rename from .travis/setup.sh
rename to tools/travis/setup.sh
diff --git a/tools/travis/setupscan.sh b/tools/travis/setupscan.sh
new file mode 100755
index 0000000..35f070f
--- /dev/null
+++ b/tools/travis/setupscan.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+SCRIPTDIR=$(cd $(dirname "$0") && pwd)
+HOMEDIR="$SCRIPTDIR/../../../"
+
+# clone OpenWhisk utilities repo. in order to run scanCode.py
+cd $HOMEDIR
+git clone https://github.com/apache/incubator-openwhisk-utilities.git

-- 
To stop receiving notification emails like this one, please contact
"commits@openwhisk.apache.org" <co...@openwhisk.apache.org>.